# dscience

[![Build status](https://img.shields.io/pypi/status/dscience)](https://pypi.org/project/dscience/)
[![Latest version on
PyPi](https://badge.fury.io/py/dscience.svg)](https://pypi.org/project/dscience/)
[![Supported Python
versions](https://img.shields.io/pypi/pyversions/dscience.svg)](https://pypi.org/project/dscience/)
[![Documentation
status](https://readthedocs.org/projects/dscience/badge/?version=latest&style=flat-square)](https://readthedocs.org/projects/dscience/)
[![Travis](https://travis-ci.org/kokellab/dscience.svg?branch=master)](https://travis-ci.org/kokellab/dscience)
[![License](https://img.shields.io/badge/License-Apache%202.0-blue.svg)](https://opensource.org/licenses/Apache-2.0)

A lightweight Python 3 library for everyday coding, data science, and bioinformatics.
Integrated with Numpy and Pandas 1.0+, with few other dependencies.

Provides:
- Many utility functions, data types, and decorators
- Exceptions that store useful attributes to help calling code recover
- Pandas DataFrames with required columns / enforced structure and extra methods
- Simple utilities for Jupyter notebooks
- Algorithms, bioinformatics resources, and machine learning support


## contributing

This project is under active development. [New issues](https://github.com/kokellab/dscience/issues) and pull requests are welcome.
We use tabs for indentation and will eventually use [conventional commits](https://www.conventionalcommits.org/en/v1.0.0/).

## license

The authors release these contents and documentation files under the terms of the [Apache License, version 2.0](https://www.apache.org/licenses/LICENSE-2.0).
The project was developed to support research at the Kokel Lab, fulfill requirements for [UCSF QBC](http://qbc.ucsf.edu/) PhD programs, and be useful to the public.

Authors and contributors:
- Douglas Myers-Turnbull (primary)
- Chris Ki (contributor)
- Cole Helsell (contributor)
